.. _core_module:

:mod:`homeassistant.core`
-------------------------

.. automodule:: homeassistant.core

.. autoclass:: Config
    :members:

.. autoclass:: Event
    :members:

.. autoclass:: EventBus
    :members:

.. autoclass:: HomeAssistant
    :members:

.. autoclass:: State
    :members:

.. autoclass:: StateMachine
    :members:

.. autoclass:: ServiceCall
    :members:

.. autoclass:: ServiceRegistry
    :members:

Module contents
---------------

.. automodule:: homeassistant.core
    :members:
    :undoc-members:
    :show-inheritance:
